// 11-20 game
clear
ztree2stata game1120 using 180411_1555.xls
keep subject num*
reshape long num, i(subject) j(game)
contract num game, zero
forvalues i=11(1)20{
	quietly tab game if num==`i'
	local exist = r(N)
	if `exist' == 0{
		local nobs = _N + 3
		quietly set obs `nobs'
		quietly replace game = mod(_n, 3) + 1 if game == .
		quietly replace _freq = 0 if _freq == .
		quietly replace num = `i' if num == .
	}
}
egen totsubjects = sum(_freq), by(game)
gen freq = _freq / totsubjects
gen eqfreq = 0
replace eqfreq = 0.25 if game<=2 & (num == 15 | num == 16)
replace eqfreq = 0.20 if game<=2 & num == 17
replace eqfreq = 0.15 if game<=2 & num == 18
replace eqfreq = 0.10 if game<=2 & num == 19
replace eqfreq = 0.05 if game<=2 & num == 20
replace eqfreq = 0.15 if game==3 & num >= 15

twoway (line freq num, sort lcolor(navy) lwidth(thick)) (line eqfreq num, sort lcolor(maroon) lwidth(thick)) if game==1, ytitle(Fraction) ytitle(, size(large)) yscale(noline) ylabel(0(0.1)0.5, labsize(medlarge) angle(horizontal) format(%9.1f) nogrid) xtitle(Chosen number) xtitle(, size(large)) xscale(noline) xlabel(11(1)20, labsize(medlarge)) legend(order(2 "Equilibrium" 1 "Version 1") rows(1) size(large) region(lcolor(white)) position(12)) name(game1, replace) xsize(6) ysize(3.5) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(black))
graph export game1.pdf, as(pdf) replace

twoway (line freq num, sort lcolor(navy) lwidth(thick)) (line eqfreq num, sort lcolor(maroon) lwidth(thick)) if game==2, ytitle(Fraction) ytitle(, size(large)) yscale(noline) ylabel(0(0.1)0.5, labsize(medlarge) angle(horizontal) format(%9.1f) nogrid) xtitle(Chosen number) xtitle(, size(large)) xscale(noline) xlabel(11(1)20, labsize(medlarge)) legend(order(2 "Equilibrium" 1 "Version 2") rows(1) size(large) region(lcolor(white)) position(12)) name(game2, replace) xsize(6) ysize(3.5) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(black))
graph export game2.pdf, as(pdf) replace

twoway (line freq num, sort lcolor(navy) lwidth(thick)) (line eqfreq num, sort lcolor(maroon) lwidth(thick)) if game==3, ytitle(Fraction) ytitle(, size(large)) yscale(noline) ylabel(0(0.1)0.5, labsize(medlarge) angle(horizontal) format(%9.1f) nogrid) xtitle(Chosen number) xtitle(, size(large)) xscale(noline) xlabel(11(1)20, labsize(medlarge)) legend(order(2 "Equilibrium" 1 "Version 3") rows(1) size(large) region(lcolor(white)) position(12)) name(game3, replace) xsize(6) ysize(3.5) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(black))
graph export game3.pdf, as(pdf) replace

